### Enumeration

# Gsk LineJoin

unstable since: 4.14

#### Declaration

    enum Gsk.LineJoin

#### Description [src]

Specifies how to render the junction of two lines when stroking.

The default line join style is `GSK_LINE_JOIN_MITER`.

New entries may be added in future versions.

GSK_LINE_JOINT_MITER, GSK_LINE_JOINT_ROUND, GSK_LINE_JOIN_BEVEL

Available since: 4.14

#### Members

Name | Description
--- | ---
`GSK_LINE_JOIN_MITER` | Use a sharp angled corner.
`GSK_LINE_JOIN_ROUND` | Use a round join, the center of the circle is the join point.
`GSK_LINE_JOIN_BEVEL` | Use a cut-off join, the join is cut off at half the line width from the joint point.